aboutsummaryrefslogtreecommitdiffstats
path: root/test
diff options
context:
space:
mode:
authorBodo Möller <bodo@openssl.org>2000-03-13 19:44:45 +0000
committerBodo Möller <bodo@openssl.org>2000-03-13 19:44:45 +0000
commitd58d6c27834a71627ab1001c8478de21ccaa8db7 (patch)
tree8eb429a94c23f220d36ce13f32971a678be83306 /test
parent95fabd2fbc70711c2475f3ea768b719c96eaa7ce (diff)
downloadopenssl-d58d6c27834a71627ab1001c8478de21ccaa8db7.tar.gz
Include a timing test that works without RSA.
Diffstat (limited to 'test')
-rw-r--r--test/testssl5
1 files changed, 4 insertions, 1 deletions
diff --git a/test/testssl b/test/testssl
index 9fc9bb2de7..873df83128 100644
--- a/test/testssl
+++ b/test/testssl
@@ -12,7 +12,7 @@ else
fi
ssltest="./ssltest -key $key -cert $cert -c_key $key -c_cert $cert"
-if ../apps/openssl x509 -in $cert -text -noout | fgrep 'DSA Public Key'; then
+if ../apps/openssl x509 -in $cert -text -noout | fgrep 'DSA Public Key' >/dev/null; then
dsa_cert=YES
else
dsa_cert=NO
@@ -112,6 +112,9 @@ $ssltest -bio_pair -server_auth -client_auth $CA || exit 1
#############################################################################
+echo test tls1 with 1024bit anonymous DH, multiple handshakes
+$ssltest -v -bio_pair -tls1 -cipher ADH -dhe1024dsa -num 10 -f -time || exit 1
+
if ../apps/openssl list-standard-commands | grep '^rsa$' >/dev/null; then
echo test tls1 with 1024bit RSA, no DHE, multiple handshakes
./ssltest -v -bio_pair -tls1 -cert ../apps/server2.pem -no_dhe -num 10 -f -time || exit 1